org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearTxQueryAbstractEnlistFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.future.GridCompoundFuture<T,T>
    - - org.apache.ignite.internal.util.future.GridCompoundIdentityFuture<T>
      - - org.apache.ignite.internal.processors.cache.GridCacheCompoundIdentityFuture<T>
        - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxAbstractEnlistFuture<Long>
          - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxQueryAbstractEnlistFuture

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<Long>, GridCacheFuture<Long>, GridCacheVersionedFuture<Long>, IgniteInClosure<IgniteInternalFuture<Long>>

Direct Known Subclasses:
  GridNearTxQueryEnlistFuture, GridNearTxQueryResultsEnlistFuture

    public abstract class GridNearTxQueryAbstractEnlistFuture
    extends GridNearTxAbstractEnlistFuture<Long>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxAbstractEnlistFuture

`cctx, futId, lockVer, log, mvccSnapshot, threadId, timeout, timeoutObj, topVer, tx`

### Constructor Summary

Constructors
Constructor and Description
`GridNearTxQueryAbstractEnlistFuture(GridCacheContext<?,?> cctx, GridNearTxLocal tx, long timeout)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxAbstractEnlistFuture

`checkCompleted, clearLocalFuture, futureId, init, logDebug, logError, map, markNotTrackable, onCancelled, onDone, onOwnerChanged, pendingResponseNodes, remainingTime, timeoutException, trackable, updateLocalFuture, updateMappings, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheCompoundIdentityFuture

`duration, startTime`

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundIdentityFuture

`toString`

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundFuture

`add, apply, cancel, clear, compoundsLockedExclusively, compoundsReadLock, compoundsReadUnlock, future, futures, futuresCountNoLock, hasFutures, hasPending, ignoreFailure, initialized, markInitialized, processFailure`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, chainCompose, chainCompose, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheFuture

`duration, onNodeLeft, startTime`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, chainCompose, chainCompose, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### GridNearTxQueryAbstractEnlistFuture

    public GridNearTxQueryAbstractEnlistFuture(GridCacheContext<?,?> cctx,
                                               GridNearTxLocal tx,
                                               long timeout)

Parameters:
  `cctx` - Cache context.
  `tx` - Transaction.
  `timeout` - Timeout.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022